## opencpn-plugin-aisradar 1.0.2

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      nohal aka. Pavel Kalian
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(aisradar_pi)

SET(PACKAGE_NAME aisradar_pi)
SET(VERBOSE_NAME AISRadar)
SET(TITLE_NAME AISRadar)
SET(CPACK_PACKAGE_CONTACT "Johan Sman")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "0")

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_AISRADAR
      src/aisradar_pi.h
      src/aisradar_pi.cpp
      src/aisradar.h
      src/aisradar.cpp
      src/my_icons.h
      src/my_icons.cpp
      src/Canvas.h
      src/Canvas.cpp
      src/Target.h
      src/Target.cpp
    )
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_AISRADAR})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-aisradar (1.0.2-0~1mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions. 

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:38:02 -0700

opencpn-plugin-aisradar (1.0.2-0~1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Aug 2019 16:48:37 -0700

opencpn-plugin-aisradar (1.0.2-0~1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Aug 2019 16:32:05 -0700

opencpn-plugin-aisradar (1.0.2-0~xenial1) xenial; urgency=low

  * Version 1.0.2

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 11:01:40 -0600

opencpn-plugin-aisradar (1.0.1-0~precise1) precise; urgency=low

  * Version 1.0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 10:57:19 -0600

opencpn-plugin-aisradar (1.0.1-0~trusty1) trusty; urgency=low

  * Version 1.0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 10:57:19 -0600

opencpn-plugin-aisradar (1.0.1-0~vivid1) vivid; urgency=low

  * Version 1.0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 10:57:19 -0600

opencpn-plugin-aisradar (1.0.1-0~wily1) wily; urgency=low

  * Version 1.0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 10:57:19 -0600

opencpn-plugin-aisradar (1.0.1-0~xenial1) xenial; urgency=low

  * Version 1.0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 10:57:19 -0600

opencpn-plugin-aisradar (1.0.1-0~utopic1) utopic; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Jun 2015 11:12:32 -0500

opencpn-plugin-aisradar (1.0.0-0~precise1) precise; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Jun 2015 11:09:51 -0500

opencpn-plugin-aisradar (1.0.0-0~trusty1) trusty; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Jun 2015 11:09:51 -0500

opencpn-plugin-aisradar (1.0.0-0~utopic1) utopic; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Jun 2015 11:09:51 -0500

opencpn-plugin-aisradar (1.0.0-0~vivid1) vivid; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Jun 2015 11:09:51 -0500

opencpn-plugin-aisradar (1.0.0-0~wily1) wily; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Jun 2015 11:09:51 -0500

opencpn-plugin-aisradar (0.98.0-0~lucid1) lucid; urgency=low

  * v0.98

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 28 Jan 2015 13:06:40 -0600

opencpn-plugin-aisradar (0.98.0-0~precise1) precise; urgency=low

  * v0.98

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 28 Jan 2015 13:06:40 -0600

opencpn-plugin-aisradar (0.98.0-0~trusty1) trusty; urgency=low

  * v0.98

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 28 Jan 2015 13:06:40 -0600

opencpn-plugin-aisradar (0.98.0-0~utopic1) utopic; urgency=low

  * v0.98

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 28 Jan 2015 13:06:40 -0600

opencpn-plugin-aisradar (0.98.0-0~vivid1) vivid; urgency=low

  * v0.98

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 28 Jan 2015 13:06:40 -0600

=== debian/control ===
Source: opencpn-plugin-aisradar
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-aisradar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
